org.apache.uima.cas.impl

## Class TypeImpl_list

- java.lang.Object
- - org.apache.uima.cas.impl.TypeImpl
  - - org.apache.uima.cas.impl.TypeImpl_list

- All Implemented Interfaces:
    Comparable<TypeImpl>, Iterable<Feature>, Type

      public class TypeImpl_list
      extends TypeImpl

- - ### Field Summary

    - ### Fields inherited from class org.apache.uima.cas.impl.TypeImpl

      `isBuiltIn, isCreatableAndNotBuiltinArray, isFeatureFinal, isInheritanceFinal, isLongOrDouble, isRefType, javaClass, singleton`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypeImpl_list(String name, TypeImpl componentType, TypeSystemImpl tsi, TypeImpl supertype, Class<?> javaClass)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Type` | `getCompoentType()`

    - ### Methods inherited from class org.apache.uima.cas.impl.TypeImpl

      `compareTo, equals, getAppropriateFeatures, getCode, getComponentSlotKind, getComponentType, getFeature, getFeatureByBaseName, getFeatureImpls, getFeatures, getFeaturesAsStream, getFsSpaceReq, getFsSpaceReq, getFsSpaceReq, getJCasClassName, getMergedStaticFeaturesIntroducedByThisType, getName, getNbrOfLongOrDoubleFeatures, getNumberOfFeatures, getShortName, getSuperType, getTypeSystem, hashCode, hashCodeNameLong, hasRefFeature, isAnnotationBaseType, isAnnotationType, isAppropriateFeature, isArray, isCreatableAndNotBuiltinArray, isFeatureFinal, isInheritanceFinal, isLongOrDouble, isPrimitive, isStringOrStringSubtype, isStringSubtype, isTopType, isTypedFsArray, iterator, prettyPrint, prettyPrintWithSubTypes, subsumes, subsumesStrictly, subsumesValue, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.uima.cas.Type

      `subsumes`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### TypeImpl_list

          public TypeImpl_list(String name,
                               TypeImpl componentType,
                               TypeSystemImpl tsi,
                               TypeImpl supertype,
                               Class<?> javaClass)

  - ### Method Detail

    - #### getCompoentType

          public Type getCompoentType()

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.